/**
 * \file gre/uidlgrasterthememap.h
 * \brief GRE::UI::DlgRasterThemeMap definition
 *
 * \if NODOC
 * $Id: uidlgrasterthememap.h_v 1.1 2015/06/11 21:44:06 mju Exp $
 *
 * $Log: uidlgrasterthememap.h_v $
 * Revision 1.1  2015/06/11 21:44:06  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_GRE_UIDLGRASTERTHEMEMAP_H
#define	INC_GRE_UIDLGRASTERTHEMEMAP_H

#ifndef	INC_GRE_RASTERTHEMEMAP_H
#include <gre/rasterthememap.h>
#endif

namespace GRE {
namespace UI {

//! Dialog for Raster Theme Map settings.
ERRVALUE DlgRasterThemeMap (
	MDLGPARENT dlgparent,						//!< Parent for dialog
	const RVC::OBJITEM &ObjItemRaster,		//!< Raster location
	RVC::OBJITEM &ObjItemThemeParm,			//!< Theme parameter object location passed/returned, if not saved will be cleared
	RASTERTHEMEMAP &values						//!< Values passed/returned
	);

}	// End namespace UI
}	// End namespace GRE

#endif	// INC_GRE_UIDLGRASTERTHEMEMAP_H
