/**
 * \file sml/helper.h
 * \brief SML::HELPER class definitions
 *
 * \if NODOC
 * $Id: helper.h_v 1.1 2015/04/14 13:09:39 mju Exp $
 *
 * $Log: helper.h_v $
 * Revision 1.1  2015/04/14 13:09:39  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_SML_HELPER_H
#define	INC_SML_HELPER_H

#ifndef	GENERATING_DOXYGEN_OUTPUT
class MISTRING;
#endif

namespace SML {

//=====================================================================================================================

//! Helper methods.
class HELPER {
	public:

		//! Enclose name in backquotes if necessary to use as SML identifier.
		static MISTRING QuoteIdentifier (
			const MISTRING &name				//!< Name to make identifier for
			);
	};

//=====================================================================================================================

}	// End namespace SML

#endif	// INC_SML_HELPER_H
